﻿using System.Collections.Generic;
using System.Linq;
using Demo.ViewModels.Items;

namespace Demo
{
    public class BookGenerator
    {
        public List<BookVmi> CreateDiscWorldCollection()
        {
            var result = new List<BookVmi>
                {
                    new BookVmi
                        {
                            Title = "The Colour of Magic",
                            Cover = "/images/TCoM_cover.jpg",
                            Serie = "Rincewind",
                            Year = "1983",
                            Description =
                                "The Colour of Magic is a 1983 comic fantasy novel by Terry Pratchett, and is the first book of the Discworld series."
                        },
                    new BookVmi
                        {
                            Title = "The Light Fantastic",
                            Cover = "/images/TLF_cover.jpg",
                            Serie = "Rincewind",
                            Year = "1986",
                            Description =
                                "The Light Fantastic is a comic fantasy novel by Terry Pratchett, the second of the Discworld series. It was published in 1986. The title is a quote from a poem by John Milton and in the original context[1] referred to dancing lightly with extravagance. The events of the novel are a direct continuation of those in the preceding book, The Colour of Magic (this is thus far the only novel in the Discworld series to follow on in this manner)."
                        },
                    new BookVmi
                        {
                            Title = "Sourcery",
                            Cover = "/images/Sourcery-cover.jpg",
                            Serie = "Rincewind",
                            Year = "1988",
                            Description =
                                "Sourcery was the fifth Discworld novel and the third appearance of Rincewind. It was first published in 1988 by Victor Gollancz and later republished in 1989 by Corgi. The cover illustration is by Josh Kirby."
                        },
                    new BookVmi
                        {
                            Title = "Faust Eric",
                            Cover = "/images/185px-Eric-cover.jpg",
                            Serie = "Rincewind",
                            Year = "1990",
                            Description =
                                "Eric is the ninth Discworld novel by Terry Pratchett. It was originally published in 1990 as a 'Discworld story', in a larger format than the other novels and illustrated by Josh Kirby. It was later reissued as a normal paperback without any illustrations, and in some cases, with the title given on the cover and title pages simply as Eric. (The page headers, however, continued to alternate between Faust and Eric.)"
                        },
                    new BookVmi
                        {
                            Title = "Interesting Times",
                            Cover = "/images/Interesting-times-cover.jpg",
                            Serie = "Rincewind",
                            Year = "1994",
                            Description =
                                "Interesting Times is the seventeenth novel in the Discworld series by Terry Pratchett. The title of this book was inspired by the phrase 'may you live in interesting times'."
                        },
                    new BookVmi
                        {
                            Title = "The Last Continent",
                            Cover = "/images/185px-The-last-continent-1.jpg",
                            Serie = "Rincewind",
                            Year = "1998",
                            Description =
                                "The Last Continent is the twenty-second Discworld novel by Terry Pratchett. First published in 1998, it parodies Australian people and aspects of Australian culture, such as the Crocodile Dundee and Mad Max movies, Vegemite, Flip-Flops, cork hats, the Peach Nellie, and the popular Australian song 'Waltzing Matilda'."
                        },
                    new BookVmi
                        {
                            Title = "The Last Hero",
                            Cover = "/images/185px-The-last-hero.jpg",
                            Serie = "Rincewind",
                            Year = "2001",
                            Description =
                                "The Last Hero is a short novel, the twenty-seventh of the Discworld series by Terry Pratchett. It was published in 2001 in a larger format than the other Discworld novels and illustrated on every page by Paul Kidby."
                        },
                    new BookVmi
                        {
                            Title = "Equal Rites",
                            Cover = "/images/EqR_cover.jpg",
                            Serie = "Witches",
                            Year = "1987",
                            Description =
                                "Equal Rites is a comic fantasy novel by Terry Pratchett. Published in 1987, it is the third novel in the Discworld series and the first in which the main character is not Rincewind. It introduces the character of Granny Weatherwax, who reappears in several later Discworld novels."
                        },
                    new BookVmi
                        {
                            Title = "Wyrd Sisters",
                            Cover = "/images/Wyrd-sisters-cover.jpg",
                            Serie = "Witches",
                            Year = "1988",
                            Description =
                                "Wyrd Sisters is Terry Pratchett's sixth Discworld novel, published in 1988, and re-introduces Granny Weatherwax of Equal Rites."
                        },
                    new BookVmi
                        {
                            Title = "Witches Abroad",
                            Cover = "/images/185px-Witches-abroad-cover.jpg",
                            Serie = "Witches",
                            Year = "1991",
                            Description =
                                "Witches Abroad is the twelfth Discworld novel by Terry Pratchett, originally published in 1991. It is the third witches story."
                        },
                    new BookVmi
                        {
                            Title = "Lords and Ladies",
                            Cover = "/images/185px-Lords-and-ladies-cover.jpg",
                            Serie = "Witches",
                            Year = "1992",
                            Description =
                                "Lords and Ladies is the fourteenth Discworld book by Terry Pratchett. It was originally published in 1992."
                        },
                    new BookVmi
                        {
                            Title = "Maskerade",
                            Cover = "/images/185px-Maskerade.jpg",
                            Serie = "Witches",
                            Year = "1995",
                            Description =
                                "Maskerade is the eighteenth novel in the Discworld series by Terry Pratchett. The witches Granny Weatherwax and Nanny Ogg visit the Ankh-Morpork Opera House to find Agnes Nitt, a girl from Lancre, and get caught up in a story similar to The Phantom of the Opera."
                        },
                    new BookVmi
                        {
                            Title = "Carpe Jugulum",
                            Cover = "/images/185px-Carpe-jugulum-1.jpg",
                            Serie = "Witches",
                            Year = "1998",
                            Description =
                                "Carpe Jugulum is a comic fantasy novel by Terry Pratchett, the twenty third in the Discworld series. It was first published in 1998. In Carpe Jugulum, Terry Pratchett pastiches the traditions of vampire literature, playing with the mythic archetypes and featuring a tongue-in-cheek reversal of 'vampyre' subculture with young vampires who wear bright clothes, drink wine, and stay up until noon. The title is a play on the Latin phrase carpe diem ('seize [literally, 'pluck'] the day') and the author considers it to mean 'Go for the throat'."
                        },
                    new BookVmi
                        {
                            Title = "Mort",
                            Cover = "/images/Mort-cover.jpg",
                            Serie = "Death",
                            Year = "1987",
                            Description =
                                "Mort is a Discworld novel by Terry Pratchett and also the name of its main character. Published in 1987, it is the fourth Discworld novel and the first to focus on the Death of the Discworld, who only appeared as a side character in the previous novels. In a 2003 BBC contest called the Big Read, Mort was among the Top 100 and chosen as the most popular of Pratchett's novels."
                        },
                    new BookVmi
                        {
                            Title = "Reaper Man",
                            Cover = "/images/185px-Reaper-man-cover.jpg",
                            Serie = "Death",
                            Year = "1991",
                            Description =
                                "Reaper Man is a Discworld novel by Terry Pratchett. Published in 1991, it is the 11th Discworld novel and the second to focus on Death. The title is a reference to Alex Cox's cult movie Repo Man."
                        },
                    new BookVmi
                        {
                            Title = "Soul Music",
                            Cover = "/images/185px-Soul-music-cover.jpg",
                            Serie = "Death",
                            Year = "1994",
                            Description =
                                "Soul Music is the sixteenth Discworld novel by Terry Pratchett, first published in 1994. Like many of Pratchett's novels it introduces an element of modern society into the magical and vaguely late medieval, early modern world of the Discworld, in this case Rock and Roll music and stardom, with nearly disastrous consequences. It also introduces Susan Sto Helit, daughter of Mort and Ysabell and granddaughter of Death."
                        },
                    new BookVmi
                        {
                            Title = "Hogfather",
                            Cover = "/images/185px-Hogfather-2.jpg",
                            Serie = "Death",
                            Year = "1996",
                            Description =
                                "Hogfather is the 20th Discworld novel by Terry Pratchett. The Hogfather is also a character in the book, representing something akin to Father Christmas. He grants children's wishes on Hogswatchnight (32nd of December) and brings them presents. He also features in other Discworld novels. The book is about the nature of belief, in particular that people need to believe in small fantasies, such as Hogfathers and Tooth Fairies, in order to believe in larger ones, such as justice and hope. As Pratchett says elsewhere, fantasy is an exercise bicycle for the mind; it doesn't take you anywhere, but it tones up muscles that might."
                        },
                    new BookVmi
                        {
                            Title = "Thief of Time",
                            Cover = "/images/Thief-of-time.jpg",
                            Serie = "Death",
                            Year = "2001",
                            Description =
                                "Thief of Time is the 26th Discworld novel written by Terry Pratchett. The title comes from the traditional saying 'Procrastination is the thief of time'."
                        },
                    new BookVmi
                        {
                            Title = "Guards! Guards!",
                            Cover = "/images/185px-Guards-Guards-cover.jpg",
                            Serie = "City Watch",
                            Year = "1989",
                            Description =
                                "Guards! Guards! is the 8th Discworld novel by Terry Pratchett, first published in 1989. It is the first novel about the City Watch. The first Discworld computer game borrowed heavily from Guards! Guards! in terms of plot. "
                        },
                    new BookVmi
                        {
                            Title = "Men at Arms",
                            Cover = "/images/185px-Men-at-arms-cover.jpg",
                            Serie = "City Watch",
                            Year = "1993",
                            Description =
                                "Men at Arms is the 15th Discworld novel by Terry Pratchett first published in 1993. It is the second novel about the Ankh-Morpork City Watch on the Discworld."
                        },
                    new BookVmi
                        {
                            Title = "Feet of Clay",
                            Cover = "/images/Feet-of-clay-2.jpg",
                            Serie = "City Watch",
                            Year = "1996",
                            Description =
                                "Feet of Clay is the nineteenth Discworld novel by Terry Pratchett, and a parody of detective novels. It was published in 1996. The story follows the members of The Watch, as they attempt to solve murders apparently committed by a golem, as well as the unusual poisoning of the Patrician."
                        },
                    new BookVmi
                        {
                            Title = "Jingo",
                            Cover = "/images/Jingo-2.jpg",
                            Serie = "City Watch",
                            Year = "1997",
                            Description =
                                "Jingo is the twenty-first novel by Terry Pratchett, one of his Discworld series. It was published in 1997. The title can be related to the word jingoism, meaning an attitude of belligerent nationalism"
                        },
                    new BookVmi
                        {
                            Title = "The Fifth Elephant",
                            Cover = "/images/185px-The-fifth-elephant-1.jpg",
                            Serie = "City Watch",
                            Year = "1999",
                            Description =
                                "The Fifth Elephant is the 24th Discworld novel by Terry Pratchett. It introduces the clacks, a long-distance semaphore system."
                        },
                    new BookVmi
                        {
                            Title = "Night Watch",
                            Cover = "/images/Night_watch_discworld.jpg",
                            Serie = "City Watch",
                            Year = "2002",
                            Description =
                                "Night Watch is the 29th novel in Terry Pratchett's Discworld series, published in 2002. The protagonist of the novel is Sir Samuel Vimes, commander of the Ankh-Morpork City Watch. A five-part radio adaptation of the novel was broadcast on BBC Radio 4 from February 27 2008 - it featured Philip Jackson as Sam Vimes and Carl Prekopp as young Sam, and referenced the similar theme of a policeman unexpectedly being sent back in time from the series Life on Mars."
                        },
                    new BookVmi
                        {
                            Title = "Thud!",
                            Cover = "/images/185px-Terry_Pratchett_-_Thud_0385608675.jpg",
                            Serie = "City Watch",
                            Year = "2005",
                            Description =
                                "Thud! is Terry Pratchett's 34th Discworld novel, released in the United States of America on September 13 2005, the United Kingdom on October 1 2005, and may have been released before that date in other countries, such as Norway and Denmark. Thud! was released in the U.S. three weeks before it was released in Pratchett's native UK, to coincide with a United States signing tour."
                        },
                };

            return result;
        }

        public List<string> GetBookKeyWords()
        {
            var books = CreateDiscWorldCollection();
            var result = books.Select(book => book.Title).ToList();
            return result;
        }
    }
}