﻿using System.ComponentModel;
using System.Threading.Tasks;

namespace Demo.ViewModels
{
    public class VmBase : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private static bool _designMode = true;
        public static bool DesignMode
        {
            get { return _designMode; }
            set { _designMode = value; }
        }

        public virtual async Task Init()
        {
        }
    }
}
