﻿using System;
using Demo.ViewModels.Items;
using Windows.UI.Xaml.Data;

namespace Demo.Converters
{
    public class SearchFilterToTextConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (value is SearchFilterVmi)
            {
                var result = value as SearchFilterVmi;

                return string.Format("{0} ({1})", result.Name, result.Books.Count);
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
